Bug 480999 - Review Request: python-webflash - Portable flash messages for WSGI apps
Review Request: python-webflash - Portable flash messages for WSGI apps
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 468230
  Show dependency treegraph
 
Reported: 2009-01-21 11:57 EST by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.1-0.1.a9.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 15:03:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2009-01-21 11:57:19 EST
Spec URL: http://lmacken.fedorapeople.org/python-webflash.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-webflash-0.1-0.1.a8.fc10.src.rpm
Description:
WebFlash is a library to display "flash" messages in python web applications.
These messages are usually used to provide feedback to the user (eg: you
changes have been saved, your credit card number has been stolen, ...). One
important characteristic they must provide is the ability to survive a redirect
(ie: display the message in a page after being redirected from a form
submission).
Comment 1 Jason Tibbitts 2009-03-12 01:28:10 EDT
Builds fine; rpmlint says:
  python-webflash.noarch: W: no-documentation
True, and not a problem.

  python-webflash.noarch: W: incoherent-version-in-changelog 0.1-0.1a8 
   ['0.1-0.1.a8.fc11', '0.1-0.1.a8']
I think there's a period missing from the changelog version between "1" and "a8".  Not a huge deal but good to fix.

Does the test suite actually do anything?  I just get:
  nose.plugins.cover: ERROR: Coverage not available: unable to import coverage 
   module
I'm not that familiar with python tests so I could use a hint here.


* source files match upstream.  sha256sum:
   1fe890b93fd0d06b7c6fb95cce46337e51e6bacd6ed52aaed09ac8bd52126c5e  
   WebFlash-0.1a8.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
X rpmlint has a valid complaint.
* final provides and requires are sane:
   python-webflash = 0.1-0.1.a8.fc11
  =
   python(abi) = 2.6
   python-simplejson

? %check is present but I'm completely unsure of whether it's doing anything.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
Comment 2 Luke Macken 2009-05-21 22:13:43 EDT
http://lmacken.fedorapeople.org/rpms/python-webflash-0.1-0.1.a9.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/python-webflash.spec

* Thu May 21 2009 Luke Macken <lmacken@redhat.com> 0.1-0.1.a9
- Update to 0.1a9
- Add python-coverage to the BuildRequires
Comment 3 Jason Tibbitts 2009-05-27 15:16:29 EDT
I kept waiting for python-coverage to make it into rawhide so I could build this, but it turns out that the mock configs don't reference the update repos at all so that never would have worked.  Oh, well.

rpmlint is now clean (barring the expected no-documentation complaint) and the tests seem to work (or at least nothing fails). Nothing left for me to complain about.

APPROVED
Comment 4 Luke Macken 2009-05-31 00:28:36 EDT
New Package CVS Request
=======================
Package Name: python-webflash
Short Description: Portable flash messages for WSGI apps
Owners: lmacken
Branches: F-11 F-10 EL-5
Comment 5 Jason Tibbitts 2009-05-31 16:13:15 EDT
CVS done.
Comment 6 Fedora Update System 2009-06-02 09:51:13 EDT
python-webflash-0.1-0.1.a9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-webflash-0.1-0.1.a9.fc11
Comment 7 Fedora Update System 2009-06-02 09:51:18 EDT
python-webflash-0.1-0.1.a9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-webflash-0.1-0.1.a9.fc10
Comment 8 Fedora Update System 2009-06-04 17:15:37 EDT
python-webflash-0.1-0.1.a9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-webflash'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5871
Comment 9 Fedora Update System 2009-06-04 17:23:54 EDT
python-webflash-0.1-0.1.a9.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-webflash'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5959
Comment 10 Fedora Update System 2009-07-23 15:03:43 EDT
python-webflash-0.1-0.1.a9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-07-23 15:05:24 EDT
python-webflash-0.1-0.1.a9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.